Bug 1579866 - Metadata API is still using eventlet which will be deprecated in OSP14
Summary: Metadata API is still using eventlet which will be deprecated in OSP14
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: 14.0 (Rocky)
Assignee: Martin Schuppert
QA Contact: nova-maint
URL:
Whiteboard:
Depends On: 1637739
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-18 14:11 UTC by Sylvain Bauza
Modified: 2019-09-09 16:41 UTC (History)
16 users (show)

Fixed In Version: openstack-tripleo-heat-templates-9.0.0-0.20180919080944.0rc1.0rc1.el7ost puppet-nova-13.3.1-0.20180917153245.6fdb591.el7ost
Doc Type: Bug Fix
Doc Text:
With this change nova-metadata-api is served via httpd wsgi in the nova_metadata container. Note that upstream will deprecate usage of eventlet for all the WSGI-run services, including nova-api and nova-metadata-api. See https://review.openstack.org/#/c/549510/ for more details.
Clone Of:
Environment:
Last Closed: 2019-01-11 11:49:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1781405 None None None 2018-07-12 14:08:07 UTC
OpenStack gerrit 582621 None None None 2018-07-13 15:19:25 UTC
OpenStack gerrit 582622 None None None 2018-07-13 15:25:24 UTC
OpenStack gerrit 582623 None None None 2018-07-16 14:02:56 UTC
OpenStack gerrit 582959 None None None 2018-07-16 14:57:41 UTC
OpenStack gerrit 594320 None None None 2018-08-21 15:31:43 UTC
OpenStack gerrit 605763 None None None 2018-09-27 14:50:32 UTC
OpenStack gerrit 606791 None None None 2018-09-30 07:39:09 UTC
Red Hat Product Errata RHEA-2019:0045 None None None 2019-01-11 11:50:35 UTC

Description Sylvain Bauza 2018-05-18 14:11:45 UTC
Upstream will deprecate usage of eventlet of all the WSGI-run services, including nova-api and nova-metadata-api.
See https://review.openstack.org/#/c/549510/ for more details.

OSP13 runs nova-api through HTTPd already [1], so we're clear for the the former, but the latter (nova-metadata-api) requires a bit of work [2].

[1] https://github.com/openstack/tripleo-heat-templates/blob/master/docker/services/nova-api.yaml#L112

[2] https://github.com/openstack/tripleo-heat-templates/blob/master/docker/services/nova-metadata.yaml#L85

To make it clear, given upstream change, our customers would see a warning in the metadata service logs if we don't fix that for OSP14, which I guess is a bad experience for them as it could confuse them.

Comment 10 errata-xmlrpc 2019-01-11 11:49:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0045


Note You need to log in before you can comment on or make changes to this bug.